- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
librevenge::RVNGTextTextGeneratorImpl Struct Reference

## Public Member Functions
| RVNGTextTextGeneratorImpl (RVNGString &document, bool isInfo)

## Public Attributes
RVNGString & | m_document
std::ostringstream | m_stream
bool | m_isInfo

## Constructor & Destructor Documentation

librevenge::RVNGTextTextGeneratorImpl::RVNGTextTextGeneratorImpl | ( | RVNGString & | document,
|  | bool | isInfo
| ) |  |
| explicit

## Member Data Documentation

RVNGString& librevenge::RVNGTextTextGeneratorImpl::m_document

Referenced by librevenge::RVNGTextTextGenerator::endDocument().

bool librevenge::RVNGTextTextGeneratorImpl::m_isInfo

Referenced by librevenge::RVNGTextTextGenerator::closeParagraph(), librevenge::RVNGTextTextGenerator::insertLineBreak(), librevenge::RVNGTextTextGenerator::insertSpace(), librevenge::RVNGTextTextGenerator::insertTab(), librevenge::RVNGTextTextGenerator::insertText(), and librevenge::RVNGTextTextGenerator::setDocumentMetaData().

std::ostringstream librevenge::RVNGTextTextGeneratorImpl::m_stream

Referenced by librevenge::RVNGTextTextGenerator::closeParagraph(), librevenge::RVNGTextTextGenerator::endDocument(), librevenge::RVNGTextTextGenerator::insertLineBreak(), librevenge::RVNGTextTextGenerator::insertSpace(), librevenge::RVNGTextTextGenerator::insertTab(), librevenge::RVNGTextTextGenerator::insertText(), and librevenge::RVNGTextTextGenerator::setDocumentMetaData().

The documentation for this struct was generated from the following file:

- RVNGTextTextGenerator.cpp